#include <stdint.h>
//#include "flash_2_hw.h"

sbit FLASH_2_WP at GPIOA_ODR.B0;
sbit FLASH_2_CS at GPIOD_ODR.B13;
sbit FLASH_2_HLD at GPIOC_ODR.B2;

int main(void)
{

     uint8_t buffer[4]                   = {15,20,25,30};
     uint32_t count                      = 4;
     uint32_t address                    = 0x0100F0;
     uint8_t receive_buffer[4];
     char tmp[20];

    GPIO_Digital_Output( &GPIOA_BASE, _GPIO_PINMASK_0 );
    GPIO_Digital_Output( &GPIOC_BASE, _GPIO_PINMASK_2 );
    GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_13 );

    SPI1_Init_Advanced( _SPI_FPCLK_DIV64,
                          _SPI_MASTER | _SPI_8_BIT | _SPI_CLK_IDLE_LOW |
                          _SPI_FIRST_CLK_EDGE_TRANSITION | _SPI_MSB_FIRST |
                          _SPI_SS_DISABLE | _SPI_SSM_ENABLE |
                          _SPI_SSI_1,
                          &_GPIO_MODULE_SPI3_PC10_11_12 );

    Delay_ms(300);
    
    UART1_Init(9600);
    Delay_ms(300);
    
    UART1_Write_Text( "Initializing Flash 2 click... " );
    UART1_Write_Text( "\r\n" );
    flash_2_init();
    Delay_ms(300);
    flash_2_global_block_unlock();
    Delay_ms(400);
    flash_2_chip_erase();
    Delay_ms(300);
    flash_2_write( address, buffer, count );
    flash_2_read( address, receive_buffer, count );

    UART1_Write_Text( "Initial Values: " );
    while( count-- )
    {
       ByteToStr( buffer[count], tmp );
       UART1_Write_Text( tmp );
    }
    UART1_Write_Text( "\r\n" );
    count = 4;

    UART1_Write_Text( "Received Values: " );
    while( count -- )
    {
       ByteToStr( receive_buffer[count], tmp );
       UART1_Write_Text( tmp );
    }
    UART1_Write_Text( "\r\n" );

    return;
}